<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Home work</title>
    </head>
    <body>

        <script>
    // 1

    function Human( name, surname, age ) {
        this.name = name;
        this.surname = surname;
        this.age = age;
    }
    let human_1 = new Human("Marilyn", "Manson", 55);
    let human_2 = new Human("Ozzy", "Osbourne", 76);
    let human_3 = new Human("James", "Hetfield", 63);
    let human_4 = new Human("Kirk", "Hammett", 59);
    let human_5 = new Human("Till", "Lindermann", 60);

    let humanArr = [human_1, human_2, human_3, human_4, human_5];
    

    console.dir(humanArr);
    

    humanArr.sort((a, b) => a.age - b.age);
    console.log("increase:");
    humanArr.forEach((element) => console.log(element.age));

    humanArr.sort((a, b) => b.age - a.age);
    console.log("decrease:");
    humanArr.forEach((element) => console.log(element.age));

    
    
    //  2
    
    
    function HumanFunc(name, surname, age, music) {
        this.name = name;
        this.surname = surname;
        this.age = age;
        this.music = music;
        this.hello = function() {
            return `Hi my name is ${this.name} ${this.surname} my age ${this.age} my favorite style of music ${this.music}.`;
        };
    }
    
    let human1 = new HumanFunc("Ozzy", "Osbourne", 74 , "Thrash Metal");
    
    alert(human1.hello());
    
    //2a

    let human2 = new HumanFunc("Marilyn", "Manson", 52, "Industrial metal");
    human2.film = "Horror";
    human2.music_instrument = "Voice";
    
    human2.hi = function() {
        return `${this.hello()} my favorite styles of films is  ${this.film} my favorite music instrument is ${this.music_instrument}`;
    };
    
    alert(human2.hi());
    </script>
    </body>
</html>